Package Details: openmeetings 5.0.0.M4-2

Git Clone URL: https://aur.archlinux.org/openmeetings.git (read-only, click to copy)
Package Base: openmeetings
Description: Provides video conferencing, instant messaging, white board, collaborative document editing and other groupware tools. It uses API functions of Media Server for Remoting and Streaming (Red5 or Kurento)
Upstream URL: http://openmeetings.apache.org/
Licenses: Apache
Submitter: None
Maintainer: severach
Last Packager: severach
Votes: 9
Popularity: 0.000000
First Submitted: 2008-11-18 11:09
Last Updated: 2020-05-24 21:05

Dependencies (21)

Sources (1)

Latest Comments

1 2 Next › Last »

khumarahn commented on 2020-05-11 15:25

==> Validating source files with md5sums...
    apache-openmeetings-5.0.0-M4.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

khvalera commented on 2020-05-09 20:08

Added fixes for sending mail and recording videos: https://github.com/snuglinux/pkgbuilds/tree/master/openmeetings

khvalera commented on 2020-05-01 08:37

Re-updated the package: https://github.com/snuglinux/pkgbuilds/tree/master/openmeetings

khvalera commented on 2020-04-26 22:36

Update the package, here is mine: https://github.com/snuglinux/pkgbuilds/tree/master/openmeetings

genofire commented on 2020-03-24 08:57

Apache OpenMeetings 5.0.0-M3 is released. Do we like to give them a try?

knedlyk commented on 2018-06-10 09:27

You should add string

Environment="RED5_HOME=/opt/openmeetings"

to [Service] in openmeetings.service, otherwise systemd service will not work.

nobicycle commented on 2018-05-03 05:28

Thanks to the maintainer severach

I edited ./webapps/openmeetings/WEB-INF/classes/META-INF/persistence.xml with mysql (mariadb in my case) login. , Username=root , Password=xxxx" />

When I run /opt/openmeetings/red5-debug.sh I get the following error:

        DEBUG 05-03 12:38:14.799 o.a.o.c.r.ScopeApplicationAdapter:127 [r:/openmeetings] - webAppPath : /opt/openmeetings/webapps/openmeetings
        ERROR 05-03 12:38:14.930 o.a.o.c.r.ScopeApplicationAdapter:146 [r:/openmeetings] - [appStart]
        org.springframework.transaction.CannotCreateTransactionException: Could not open JPA EntityManager for transaction; nested exception is <openjpa-2.4.2-r422266:1777108 fatal general error> org.apache.openjpa.persistence.PersistenceException: Cannot load JDBC driver class 'com.mysql.jdbc.Driver'

I installed mysql-jdbc and mariadb-jdbc packages in AUR. (I use mariadb).

I tried copying the mariadb jar but it didn't work. Does openmeetings only work on mysql?

Then I did the same for mysql: sudo cp /usr/share/java/mysql-jdbc/mysql-connector-java-5.1.45-bin.jar /opt/openmeetings/lib/mysql-connector-java.jar

and got this error:

    Could not open JPA EntityManager for transaction; nested exception is <openjpa-2.4.2-r422266:1777108 fatal general error> org.apache.openjpa.persistence.PersistenceException: Cannot create PoolableConnectionFactory (Could not create connection to database server. Attempted reconnect 3 times. Giving up.)

However the login in persistence.xml is correct. Do I need quotes around the login strings?

Solution: quotes arround password Password=\"xxxx\"" />

john_spam commented on 2018-02-15 14:21

where should I insert --skippgpcheck ? in ver. 4 ?

henrylaxen commented on 2017-03-25 02:12

The latest version is now 3.2.1, the following lines in the PKGBUILD should change:

pkgver='3.2.1'
sha256sums=('3a2b31f2b8ee5cf79fd470412c7f417fa879764d1da8a4700a199e600bc1620f'

you still need to run with --skippgpcheck

Best wishes,
Henry Laxen

severach commented on 2017-03-01 02:10

Read the Arch Wiki on "Package signing" or build with "makepkg -scCfi --skippgpcheck"